org.activiti.engine.logging

## Class LogMDC

- java.lang.Object
- - org.activiti.engine.logging.LogMDC

-     public class LogMDC
      extends Object

  Constants and functions for MDC (Mapped Diagnostic Context) logging
  Author:
    Saeid Mirzaei

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LOG_MDC_BUSINESS_KEY`
    `static String` | `LOG_MDC_EXECUTION_ID`
    `static String` | `LOG_MDC_PROCESSDEFINITION_ID`
    `static String` | `LOG_MDC_PROCESSINSTANCE_ID`
    `static String` | `LOG_MDC_TASK_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogMDC()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear()`
    `static boolean` | `isMDCEnabled()`
    `static void` | `putMDCExecution(org.activiti.engine.impl.pvm.delegate.ActivityExecution e)`
    `static void` | `setMDCEnabled(boolean b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG_MDC_PROCESSDEFINITION_ID

          public static final String LOG_MDC_PROCESSDEFINITION_ID

      See Also:
        Constant Field Values

    - #### LOG_MDC_EXECUTION_ID

          public static final String LOG_MDC_EXECUTION_ID

      See Also:
        Constant Field Values

    - #### LOG_MDC_PROCESSINSTANCE_ID

          public static final String LOG_MDC_PROCESSINSTANCE_ID

      See Also:
        Constant Field Values

    - #### LOG_MDC_BUSINESS_KEY

          public static final String LOG_MDC_BUSINESS_KEY

      See Also:
        Constant Field Values

    - #### LOG_MDC_TASK_ID

          public static final String LOG_MDC_TASK_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogMDC

          public LogMDC()

  - ### Method Detail

    - #### isMDCEnabled

          public static boolean isMDCEnabled()

    - #### setMDCEnabled

          public static void setMDCEnabled(boolean b)

    - #### putMDCExecution

          public static void putMDCExecution(org.activiti.engine.impl.pvm.delegate.ActivityExecution e)

    - #### clear

          public static void clear()

Copyright © 2016 Alfresco. All rights reserved.